package com.emsi.tp1biir102;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.List;

public class EtabAdapter extends ArrayAdapter<Etab> {
    LayoutInflater li;
    public EtabAdapter(@NonNull Context context, int resource, @NonNull List<Etab> objects) {
        super(context, resource, objects);
        li=LayoutInflater.from(context);
    }

    @NonNull
    @Override
    public View getView(int i, @Nullable View convertView, @NonNull ViewGroup parent) {
        Log.d("EtabAdapter",i+" "+convertView);
        if(convertView==null)
            convertView=li.inflate(R.layout.my_etab_item,null);
        TextView etabNom=convertView.findViewById(R.id.etabNom);
        TextView etabAdress=convertView.findViewById(R.id.etabAdress);
        ImageView etabIcon=convertView.findViewById(R.id.etabIcon);
        etabNom.setText(getItem(i).getNom());
        etabAdress.setText(getItem(i).getAdresse());
        switch (getItem(i).getType()){
            case "ingenierie":
                etabIcon.setImageResource(R.drawable.ingenierie);
                break;
            case "science_tech":
                etabIcon.setImageResource(R.drawable.science_tech);
                break;
            case "droit_eco":
                etabIcon.setImageResource(R.drawable.droit_eco);
                break;
            default:
                break;
        }
        return convertView;
    }
}
