package com.emsi.tp1biir102;

import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity implements TextWatcher {
    ArrayList<Etab> etablissements = new ArrayList<>();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        Button btn1 = findViewById(R.id.btn1);
        EditText txt1 = findViewById(R.id.txt1);
        EditText txt2 = findViewById(R.id.txt2);
        EditText txt3 = findViewById(R.id.txt3);
        btn1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                txt3.setText("Le nom est :"+txt1.getText() + "\nL'adresse est : " + txt2.getText());
            }
        });

        txt1.addTextChangedListener(this);

        Intent intent = getIntent();
        TextView title = findViewById(R.id.labelTitle);
        User user = (User) intent.getSerializableExtra("user");
        title.setText("Bonjour " + user.getNom() + " " + user.getPrenom());

        etablissements.add(new Etab("EMSI","Rabat","ingenierie"));
        etablissements.add(new Etab("ENSIAS", "Rabat", "ingenierie"));
        etablissements.add(new Etab("INPT","Rabat","droit_eco"));
        etablissements.add(new Etab("ISCAE", "Casa","droit_eco"));
        etablissements.add(new Etab("FMP","Tanger","science_tech"));
        etablissements.add(new Etab("UIR","Fes","science_tech"));
        etablissements.add(new Etab("EMSI","Rabat","ingenierie"));
        etablissements.add(new Etab("ENSIAS", "Rabat", "ingenierie"));
        etablissements.add(new Etab("INPT","Rabat","droit_eco"));
        etablissements.add(new Etab("ISCAE", "Casa","droit_eco"));
        etablissements.add(new Etab("FMP","Tanger","science_tech"));
        etablissements.add(new Etab("UIR","Fes","science_tech"));
        etablissements.add(new Etab("EMSI","Rabat","ingenierie"));
        etablissements.add(new Etab("ENSIAS", "Rabat", "ingenierie"));
        etablissements.add(new Etab("INPT","Rabat","droit_eco"));
        etablissements.add(new Etab("ISCAE", "Casa","droit_eco"));
        etablissements.add(new Etab("FMP","Tanger","science_tech"));
        etablissements.add(new Etab("UIR","Fes","science_tech"));

        ListView listView = findViewById(R.id.listView);
        EtabAdapter adapter = new EtabAdapter(this, R.layout.my_etab_item, etablissements);
        listView.setAdapter(adapter);
    }

    @Override
    public void beforeTextChanged(CharSequence charSequence, int i, int i1, int i2) {}

    @Override
    public void onTextChanged(CharSequence charSequence, int i, int i1, int i2) {}

    @Override
    public void afterTextChanged(Editable editable) {
        Toast.makeText(this, "Le nom a été modifié", Toast.LENGTH_SHORT).show();
    }

}